# Class CANameMatchFuzzyExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CANameMatchFuzzyExpressions

All Implemented Interfaces:
  `CASyntaxType`

public final class CANameMatchFuzzyExpressions extends CAExpressions
Expression parsers for name match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CANameMatchFuzzyExpressions(CAStrings inStrings)`
  Expression parsers for name match expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CANameMatchFuzzy`
  `nameMatch(com.io7m.jsx.SExpressionType e)`
  Parse a match expression for names.
  `CANameMatchFuzzy`
  `nameMatch(String text)`
  Parse a match expression for names.
  `com.io7m.jsx.SExpressionType`
  `nameMatchSerialize(CAComparisonFuzzyType<String> expression)`
  Serialize a match expression.
  `String`
  `nameMatchSerializeToString(CANameMatchFuzzy value)`
  Serialize a match expression to a string.
  `SortedSet<CASyntaxRuleType>`
  `syntaxRules()`

  ### Methods inherited from class CAExpressions

  `createParseError, createParseError, parse, ruleBranch, ruleLeaf, ruleLeafWithExamples, serialize, strings`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CANameMatchFuzzyExpressions

    public CANameMatchFuzzyExpressions(CAStrings inStrings)
    Expression parsers for name match expressions.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### nameMatch

    public CANameMatchFuzzy nameMatch(String text) throws CAException
    Parse a match expression for names.
    Parameters:
      `text` - The input text
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### nameMatch

    public CANameMatchFuzzy nameMatch(com.io7m.jsx.SExpressionType e) throws CAException
    Parse a match expression for names.
    Parameters:
      `e` - The input expression
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### nameMatchSerializeToString

    public String nameMatchSerializeToString(CANameMatchFuzzy value) throws CAException
    Serialize a match expression to a string.
    Parameters:
      `value` - The expression
    Returns:
      The serialized text
    Throws:
      `CAException` - On errors

  - ### nameMatchSerialize

    public com.io7m.jsx.SExpressionType nameMatchSerialize(CAComparisonFuzzyType<String> expression)
    Serialize a match expression.
    Parameters:
      `expression` - The expression
    Returns:
      The serialized expression

  - ### syntaxRules

    public SortedSet<CASyntaxRuleType> syntaxRules()
    Returns:
      The syntax rules